# Class Mouse

java.lang.Object
org.jmol.awtjs2d.Mouse

All Implemented Interfaces:
  `GenericMouseInterface`

public class Mouse extends Object implements GenericMouseInterface
JavaScript interface from JmolJSmol.js via handleOldJvm10Event (for now)

## Constructor Summary

Constructors
Constructor
Description
`Mouse(double privateKey, Viewer vwr, Object display)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`dispose()`
`void`
`keyPressed(KeyEvent ke)`
`void`
`keyReleased(KeyEvent ke)`
`void`
`keyTyped(KeyEvent ke)`
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`
`void`
`mouseWheelMoved(MouseWheelEvent e)`
`boolean`
`processEvent(int id, int x, int y, int modifiers, long time)`
`void`
`processKeyEvent(Object event)`
`void`
`processTwoPointGesture(float[][][] touches)`
called by JSmol as processTwoPointGesture(canvas.touches);

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mouse

public Mouse(double privateKey, Viewer vwr, Object display)

Parameters:
  `privateKey` - -- not used in JavaScript
  `vwr` -
  `display` -

## Method Details

### clear

public void clear()

Specified by:
  `clear` in interface `GenericMouseInterface`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `GenericMouseInterface`

### processEvent

public boolean processEvent(int id, int x, int y, int modifiers, long time)

Specified by:
  `processEvent` in interface `GenericMouseInterface`

### processTwoPointGesture

public void processTwoPointGesture(float[][][] touches)
called by JSmol as processTwoPointGesture(canvas.touches);

Specified by:
  `processTwoPointGesture` in interface `GenericMouseInterface`
Parameters:
  `touches` - [[finger1 touches],[finger2 touches]] where finger touches are [[x0,y0],[x1,y1],[x2,y2],...]

### mouseClicked

public void mouseClicked(MouseEvent e)

### mouseEntered

public void mouseEntered(MouseEvent e)

### mouseExited

public void mouseExited(MouseEvent e)

### mousePressed

public void mousePressed(MouseEvent e)

### mouseReleased

public void mouseReleased(MouseEvent e)

### mouseDragged

public void mouseDragged(MouseEvent e)

### mouseMoved

public void mouseMoved(MouseEvent e)

### mouseWheelMoved

public void mouseWheelMoved(MouseWheelEvent e)

### keyTyped

public void keyTyped(KeyEvent ke)

### keyPressed

public void keyPressed(KeyEvent ke)

### keyReleased

public void keyReleased(KeyEvent ke)

### processKeyEvent

public void processKeyEvent(Object event)

Specified by:
  `processKeyEvent` in interface `GenericMouseInterface`